package inf101.v18.rogue101.items;

import inf101.v18.rogue101.game.IGame;
import inf101.v18.rogue101.objects.IItem;

public class Binoculars implements IBuffItem {

    @Override
    public int getBuffVisibility() {
        return 2;
    }

    @Override
    public int getCurrentHealth() {
        return 0;
    }

    @Override
    public int getDefence() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 0;
    }

    @Override
    public String getName() {
        return "Binoculars";
    }

    @Override
    public int getSize() {
        return 0;
    }

    @Override
    public String getPrintSymbol() {
        return "\uD83D\uDD0E";
    }

    @Override
    public String getSymbol() {
        return "b";
    }

    @Override
    public int handleDamage(IGame game, IItem source, int amount) {
        return 0;
    }
}
